All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information
Class AutoConnectException

    com.sas.services.information.AutoConnectException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

    public class AutoConnectException

implements java.io.Serializable

An exception class used to report failure to connect to a repository defined as auto-connect. This is to allow the client code to catch this and ignore it or act on as it sees fit.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`AutoConnectException()` Default constructor that uses a default exception message.
`AutoConnectException(java.lang.String message)` Constructs an instance using the specified message to detail the cause of the exception.
`AutoConnectException(java.lang.Throwable throwable, java.lang.String message)` Constructs an instance using the specified message and a throwable that prompted creation of this service exception.

Method Summary

Methods inherited from class com.sas.util.ChainedException
`chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

Constructor Detail

### AutoConnectException

    public AutoConnectException()

  Default constructor that uses a default exception message.

### AutoConnectException

    public AutoConnectException(java.lang.String message)

  Constructs an instance using the specified message to detail the cause of the exception.

  Parameters:
    `message` - Exception message.

### AutoConnectException

    public AutoConnectException(java.lang.Throwable throwable,
                                java.lang.String message)

  Constructs an instance using the specified message and a throwable that prompted creation of this service exception.

  Parameters:
    `message` - Exception message.
    `throwable` - Throwable that prompted the exception.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.